export declare class AmpStakingResolver {
    private getStakingApyData;
    private getBalanceData;
    getBalance(address: string): Promise<{
        address: string;
        supplyTotal: number;
        rewardTotal: number;
    }>;
    getStakingLabel(): Promise<string>;
}
